## org.eclipse.jst.jsf.context.resolver
Interface IContextResolver

All Known Subinterfaces:
  IDocumentContextResolver, IDOMContextResolver, IMetadataContextResolver, ISymbolContextResolver, ITaglibContextResolver, IWorkspaceContextResolver

All Known Implementing Classes:
  AbstractContextResolver, AbstractDocumentContextResolver, AbstractSymbolContextResolver, CachingSymbolContextResolver

    public interface IContextResolver

Super type of all context resolvers. May be sub-classed but should not be implemented directly. Use AbstractContextResolver to implement.

Method Summary
`boolean` `canResolveContext(IModelContext modelContext)`

Method Detail

### canResolveContext

    boolean canResolveContext(IModelContext modelContext)

  Parameters:
    `modelContext` -
  Returns:
    true if this resolver can resolve context information based on this context